> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get attachments

> Get all attachments for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/files/attachments
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/files/attachments:
    get:
      tags:
        - Files
      summary: Get attachments
      description: Get all attachments for the authenticated user
      operationId: getAttachments
      parameters:
        - name: lastUpdatedDate
          in: header
          description: Date filter - returns all records modified after the specified date
          schema:
            type: string
          example: '1970-01-01'
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: integer
            format: int32
        - name: entity
          in: query
          description: >-
            Entity filter - returns all attachments for specified entity type.
            Null will default to all entity types.
          schema:
            type: string
            enum:
              - BankTransfer
              - Business
              - Closing
              - Company
              - Expense
              - Invoice
              - InvoicePayment
              - Revenue
              - TaxPayment
              - BankAccount
        - name: entityId
          in: query
          description: >-
            Entity Id filter - Id of the entity to which the attachment belongs.
            Used together with entity to scope attachments to a specific item.
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRAX_GET_RESPONSEAttachmentDTOV5List'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEAttachmentDTOV5List:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/AttachmentDTOV5'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    AttachmentDTOV5:
      type: object
      properties:
        type:
          type: string
          description: Type of the attachment
          readOnly: true
          example: FILE
          enum:
            - PICTURE
            - FILE
            - VOICE
            - INVOICE
        id:
          type: integer
          description: Id of the attachment, required when updating an existing attachment
          format: int64
        caption:
          type: string
          description: Caption of the attachment
        publicFileUrl:
          type: string
          description: URL at which the attachment is located
          readOnly: true
        date:
          type: string
          description: Date of the attachment
          format: date-time
        amount:
          type: number
          description: Amount of the attachment
        entity:
          type: string
          description: The Tight entity to which this attachment belongs
        fileName:
          type: string
        entityId:
          type: integer
          description: Id of the entity to which this attachment belongs
          format: int64
        fileSize:
          type: string
          description: File size of attachment
          example: 24 KB
        iconUrl:
          type: string
          description: Icon URL based on file extension
          example: https://cdn.sandbox.tight.com/icons/attachments/pdf.svg
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````